Public Attributes | List of all members
_msio_init Struct Reference
Peripheral Driver » HAL Driver » MSIO » Structures

MSIO init structure definition. More...

`#include <gr533x_hal_msio.h>`

## Public Attributes
uint32_t | pin
uint32_t | direction
uint32_t | mode
uint32_t | pull
uint32_t | mux
uint32_t | speed
uint32_t | strength
uint32_t | input_type

## Detailed Description

MSIO init structure definition.

Definition at line 107 of file gr533x_hal_msio.h.

## Member Data Documentation

## ◆ direction

uint32_t _msio_init::direction

Specifies the direction for the selected pins. This parameter can be a value of MSIO direction

Definition at line 112 of file gr533x_hal_msio.h.

## ◆ input_type

uint32_t _msio_init::input_type

Specifies the Input type for the selected pins. This parameter can be a value of MSIO input type

Definition at line 130 of file gr533x_hal_msio.h.

## ◆ mode

uint32_t _msio_init::mode

Specifies the operating mode for the selected pins. This parameter can be a value of MSIO mode

Definition at line 115 of file gr533x_hal_msio.h.

## ◆ mux

uint32_t _msio_init::mux

Specifies the Peripheral to be connected to the selected pins. This parameter can be a value of MSIOEx_Mux_Function_Selection.

Definition at line 121 of file gr533x_hal_msio.h.

## ◆ pin

uint32_t _msio_init::pin

Specifies the MSIO pins to be configured. This parameter can be any value of MSIO pins

Definition at line 109 of file gr533x_hal_msio.h.

## ◆ pull

uint32_t _msio_init::pull

Specifies the Pull-up or Pull-Down activation for the selected pins. This parameter can be a value of MSIO pull

Definition at line 118 of file gr533x_hal_msio.h.

## ◆ speed

uint32_t _msio_init::speed

Specifies the Speed for the selected pins. This parameter can be a value of MSIO IO speed

Definition at line 124 of file gr533x_hal_msio.h.

## ◆ strength

uint32_t _msio_init::strength

Specifies the Speed for the selected pins. This parameter can be a value of MSIO IO strength

Definition at line 127 of file gr533x_hal_msio.h.

The documentation for this struct was generated from the following file:

- gr533x_hal_msio.h